/* 9 February 2009
   Andreas Beger
   abeger@fsu.edu
   http://myweb.fsu.edu/ab05h/
   
  Beta Version of spoplogit.ado
  
  This file is protected by the Creative Commons License 3.0.  Under that
  license you are free to use the files for commercial purposes, and you may
  also revise the code and redistribute the revision AS LONG AS you reference
  the original source.  The details of the license are avialable here:
  http://creativecommons.org/licenses/by/3.0/us/.
*/

program define spoplogit, eclass
    version 10.1
    syntax varlist [if] [in], g(varlist) [robust] ///
        [TECHnique(passthru)] [difficult]

    //  Separate the d.v. from i.v.(s).
    gettoken dv xvars : varlist

    //  Set type of vce to estimate (i.e. oim or robust).
    local vcetype = "oim"
    if "`robust'" != "" {
        local vcetype = "robust"
    }

    ml model lf spoplogit_lf            ///
        (Beta:  `dv' = `xvars')         ///
        (Gamma: `dv' = `g')             ///
        , title(Split-population logit) ///
        vce(`vcetype')                  ///
        `technique' 
    ml maximize, `difficult'
end
