/* 9 February 2009
   Andreas Beger
   abeger@fsu.edu
   http://myweb.fsu.edu/ab05h/
   
  Beta Version of spoplogit_lf.ado
  
  This file is protected by the Creative Commons License 3.0.  Under that
  license you are free to use the files for commercial purposes, and you may
  also revise the code and redistribute the revision AS LONG AS you reference
  the original source.  The details of the license are avialable here:
  http://creativecommons.org/licenses/by/3.0/us/.
*/

program define spoplogit_lf, eclass
    args lnf xb zg
    tempvar p q r s
    qui {
        gen double `p' = invlogit( `xb')  // Pr(one)
        gen double `q' = invlogit(-`xb')  // Pr(zero)
        gen double `r' = invlogit( `zg')  // Pr(correct detection)
        gen double `s' = invlogit(-`zg')  // Pr(false negative)
        replace `lnf' = ln(`r'*`p') if $ML_y1==1
        replace `lnf' = ln(`s'+(`r'*`q')) if $ML_y1==0
    }
end
